import QtQuick 2.4

Notification {
    id: root

    property var model
    property Component delegate
    property bool enabled: true

    ListView {
        id: windowListView
        anchors.fill: parent
        model: root.model
        delegate: root.delegate
        orientation: ListView.Vertical
        interactive: false
        ListView.delayRemove: true
        onCountChanged: {
            root.state = "open";
            if (count === 0) {
                root.state = "closed";
            }
        }
    }
}
